* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

:root {
	--Dark-Blue: hsl(233, 26%, 24%);
	--Lime-Green: hsl(136, 65%, 51%);
	--Bright-Cyan: hsl(192, 70%, 51%);
	--Grayish-Blue: hsl(233, 8%, 62%);
	--Light-Grayish-Blue: hsl(220, 16%, 96%);
	--Very-Light-Gray: hsl(0, 0%, 98%);
	--White: hsl(0, 0%, 100%);
	--color-green-gradient: linear-gradient(to right, hsl(136, 65%, 51%), hsl(192, 70%, 51%));
	--color-cyan-gradient: linear-gradient(to right, hsl(192, 70%, 51%), hsl(136, 65%, 51%));
}

html {
	font-family: 'Public Sans', sans-serif;
	font-size: 18px;
}

main .left-container {
	display: none;
}

main .right-container {
	display: flex;
	flex-direction: column;
	margin-top: 1rem;
	margin: 1rem 2rem;
	align-items: center;
}

main .right-container img {
	width: 70%;
}

main .right-container h1 {
	font-size: 1.5rem;
	/* align-self: flex-start; */
	margin-top: 2rem;
	margin-bottom: 1rem;
	color: var(--Dark-Blue);
}
main .right-container h1 span {
	color: var(--Lime-Green);
	font-weight: 600;
}

main .right-container form {
	max-width: 500px;
	display: flex;
	flex-direction: column;
}

main .right-container form .navigating-link {
	display: flex;
	justify-content: space-between;
}

input:required {
	box-shadow: none;
}
input:invalid {
	box-shadow: none;
}

main .right-container form a {
	text-decoration: none;
	color: var(--Grayish-Blue);
	font-size: 0.7rem;
	align-self: center;
	margin-bottom: 1rem;
}
main .right-container form a:hover {
	color: var(--Dark-Blue);
}

main .right-container .logos {
	display: flex;
	width: 200px;
	justify-content: space-between;
}

main .right-container .logos .social {
	width: 30px;
	filter: invert(100%);
	cursor: pointer;
}

main .right-container p {
	font-size: 0.8rem;
	/* align-self: flex-start; */
	margin-bottom: 2rem;
	color: var(--Dark-Blue);
}

main .right-container input {
	width: 100%;
	border: none;
	border-bottom: 2px solid var(--Lime-Green);
	padding: 0.6rem;
	min-width: 250px;
	margin-bottom: 0.2rem;
	background: transparent;
}

main .right-container form button {
	width: 8rem;
	margin: 1.5rem 0;
	padding: 0.6rem;
	border: none;
	border-radius: 3px;
	background: var(--color-green-gradient);
	cursor: pointer;
	color: white;
	font-weight: bold;
	transition: 1s;
	align-self: center;
	border: 1px solid var(--Lime-Green);
}

.btn-disable {
	opacity: 0.6;
	pointer-events: none;
}

main .right-container .invalid {
	border-bottom: 2px solid red;
}

main .right-container form button:hover {
	background: transparent;
	color: var(--Lime-Green);
	border: 1px solid var(--Lime-Green);
}

main .right-container .icon {
	font-family: 'Font Awesome 5 Free' !important;
	font-weight: 510;
	font-size: 0.8rem;
}

main .right-container input:focus {
	outline: none;
	font-family: Arial, Helvetica, sans-serif;
}

#email-error,
#pass-error {
	font-size: 0.6rem;
	margin-bottom: 1rem;
	color: red;
}

@media (min-width: 430px) {
	main .right-container .logo {
		display: none;
	}
	main .left-container {
		display: flex;
		flex-direction: column;
		align-items: center;
		padding: 2rem 2rem 0 2rem;
	}

	main .left-container img {
		max-width: 500px;
		max-height: 500px;
	}

	main .left-container .intro {
		position: absolute;
		top: 7rem;
		z-index: -1;
	}

	main .left-container .logo {
		width: 60%;
		margin-bottom: 1rem;
	}
}

@media (min-width: 769px) {
	main .left-container img {
		max-width: 700px;
		max-height: 700px;
	}
}

@media (min-width: 850px) {
	main {
		display: grid;
		grid-template-columns: 1fr 1fr;
	}

	main .left-container img {
		max-width: 500px;
		max-height: 500px;
	}
	main .right-container {
		align-self: center;
	}

	main .right-container h1,
	main .right-container p,
	main .right-container form,
	main .right-container .logos,
	main .right-container form button,
	main .right-container form a {
		align-self: flex-start;
	}
}
